game_level_hints.levels["Level05_01_S8"] = function()
	return 
    {
		miniscenes
		({
			level05_scene05_01 = -- комната
			{
				on_scene("level05_scene05_02", end_level("area_scene05_01")),
				on_scene("level05_miniscene_bedside_table", end_level("back_close_bedside_table")),
				on_scene("level05_miniscene_peg", end_level("back_close_peg")),
				on_scene("level05_miniscene_tongue", end_level("back_close_mask"))
			},
			level05_scene05_02 = -- подвал
			{
				IF(state("Shutter_left", "shutter_left04"), on_scene("level05_scene05_01", end_level("area_door02_open"))),
				IF(state("Shutter_right", "shutter_right04"), on_scene("level05_scene05_01", end_level("area_door02_open"))),
				on_scene("level05_miniscene_sink", end_level("back_close_sink")),
				on_scene("level05_miniscene_wardrobe", end_level("back_close_wardrobe")),
				on_scene("level05_miniscene_press", end_level("back_close_press"))
			},			
			level05_miniscene_sink = -- раковина в подвале
			{
				on_scene("level05_scene05_02", miniscene("sink01"))
			},
			level05_miniscene_bedside_table = -- тумбочка в комнате
			{
				on_scene("level05_scene05_01", miniscene("bedside01"))
			},
			level05_miniscene_wardrobe = -- шкаф в подвале
			{
				on_scene("level05_scene05_02", miniscene("Hog_things")),
				on_scene("level05_scene05_02", miniscene("Wardrobe_door01")),
				on_scene("level05_scene05_02", miniscene("Wardrobe_door02")),
				on_scene("level05_scene05_02", miniscene("wardrobe01"))
			},
			level05_miniscene_peg = -- вешалка в комнате
			{
				on_scene("level05_scene05_01", miniscene("coatrack01"))
			},
			level05_miniscene_mask = -- маска в комнате
			{
				IF(state("Magnifer02", "magnifer02_01"), on_scene("level05_scene05_01", miniscene("Mask02")))
			},
			level05_miniscene_tongue = -- язык маски
			{
				on_scene("level05_miniscene_mask", click("tongue01", "Magnifer")),
				IF(state("Magnifer02", "magnifer02_02"), on_scene("level05_scene05_01", miniscene("Mask02")))
			},
			level05_miniscene_press = -- пресс в подвале
			{
				on_scene("level05_scene05_02", miniscene("press01"))
			}
		}),
		
		-- хинты событий
		on_scene("level05_scene05_01", 
		{
			IF({ state("Amulet", "amulet01"), hidden("dark01") }, click("Amulet")),
			IF({ NOT(hidden("Amulet_big")), state("Amulet_big", "amulet_big01") }, take("Eye", "eye_01")) -- берём камень
		}),
		on_scene("level05_miniscene_mask",
		{
			click("area_eye", "Eye") -- вставили камень			
		}),
		on_scene("level05_scene05_01", 
		{
			take("Magnifer") -- взяли лупу
		}),
		on_scene("level05_miniscene_mask",
		{
			click("tongue01", "Magnifer") -- применили лупу
		}),
		on_scene("level05_scene05_01", 
		{
			take("Vacuum_cleaner"), -- берём пылесос
			IF(state("Dune", "dune01"), click("Dune", "Vacuum_cleaner")), -- пылесосим кучу песка
			IF({ state("Door01", "door01_01"), state("Dune", "dune02"), on_level("Bottle") },
			{
				click("Door01") -- закрываем дверь
			}),
			take("Crow_bar"), -- берём монтировку
			click("Board01", "Crow_bar"), -- отрываем доску
			click("area_board02", "Board01"), -- приделываем доску на окно
			IF({ NOT(state("Chair", "chair02")), on_level("Hammer") }, click("Chair")), -- пододвигаем стул к антресолям
			IF({ state("Chair", "chair02"), state("Door_entresol01", "door_entresol01_01"), on_level("Hammer") }, click("Door_entresol01")), -- открываем дверь антресоли
			take("Hammer"), -- берём молоток
			IF(state("Board02", "board02_02"), click("Board02", "Hammer")) -- прибиваем доску молотком
		}),
		on_scene("level05_scene05_01", 
		{
			IF(state("Door02", "door02_01"),
			{
				-- закрываем ставни плотно
				IF(state("Shutter_left", "shutter_left01"), click("Shutter_left")),				
				IF(state("Shutter_left", "shutter_left04"), click("Shutter_left")),
				IF(state("Shutter_right", "shutter_right01"), click("Shutter_right")),				
				IF(state("Shutter_right", "shutter_right04"), click("Shutter_right"))
			}),
			IF(state("Door02", "door02_02"),
			{
				-- открываем ставни
				IF({ state("Shutter_left", "shutter_left03"), NOT(state("Shutter_right", "shutter_right04")) }, click("Shutter_left")),
				IF({ state("Shutter_right", "shutter_right03"), NOT(state("Shutter_left", "shutter_left04")) }, click("Shutter_right"))
			})
		}),
		on_scene("level05_miniscene_peg", 
		{
			take("Handle01"),
			take("Handle02")
		}),
		on_scene("level05_scene05_01", 
		{
			IF(state("Shutter_left", "shutter_left02"), click("Shutter_left", "Handle01")),
			IF(state("Shutter_left", "shutter_left02"), click("Shutter_left", "Handle02")),
			IF(state("Shutter_right", "shutter_right02"), click("Shutter_right", "Handle01")),
			IF(state("Shutter_right", "shutter_right02"), click("Shutter_right", "Handle02"))
		}),		
		on_scene("level05_miniscene_bedside_table", 
		{
			take("Bottle") -- берём бутылку
		}),
		on_scene("level05_scene05_01", 
		{
			IF({ state("Door02", "door02_01"),  state("Shutter_left", "shutter_left03"), state("Shutter_right", "shutter_right03") }, 
				click("Door02", "Bottle")) -- разбиваем бутылку о дверь
		}),
		on_scene("level05_miniscene_bedside_table", 
		{ 
			IF({ NOT(hidden("paint01")), state("Cord_radio", "cord_radio01"), on_level("cord_radio02"), NOT(in_cursor("cord_radio02")) }, click("Cord_radio")),
			IF(state("Flag_cord01", "flag_cord01_02"), click("socket03", "cord_radio02")),
			IF({ NOT(hidden("paint01")), state("Cord_radio", "cord_radio02") }, minigame("radio01_mini")) -- проходим мини-игру с настройкой радио
		}),		
		on_scene("level05_scene05_02", 
		{			
			IF({ state("Dashboard", "dashboard01"), on_level("Key01") }, click("Dashboard")),
			take("Key01") -- берём ключ
		}),
		on_scene("level05_miniscene_bedside_table", 
		{
			IF({ state("Door_bedside01_mini", "door_bedside01_mini01"), state("Lock01", "lock01_01") }, click("Door_bedside01_mini", "Key01")), --  открываем тумбочку
			IF({ state("Door_bedside01_mini", "door_bedside01_mini01"), state("Lock01", "lock01_02"), on_level("Book01") }, click("Door_bedside01_mini")),
			take("Book01"), -- берём книгу
			take("Yellow_pills") -- берём таблетки
		}),
		on_scene("level05_scene05_02", 
		{
			take("Handle_entresol") -- берём ручку от антресоли
		}),
		on_scene("level05_scene05_01", 
		{
			IF({ NOT(state("Chair", "chair02")), on_level("Pot01") }, click("Chair")), -- пододвигаем стул к антресолям
			IF({ state("Chair", "chair02"), state("Door_entresol02", "door_entresol02_01") }, click("Door_entresol02", "Handle_entresol")), -- вставляем ручку
			IF({ state("Chair", "chair02"), state("Door_entresol02", "door_entresol02_02"), on_level("Pot01") }, click("Door_entresol02")), -- открываем дверцу
			take("Pot01") -- берем кастрюлю
		}),
		on_scene("level05_miniscene_sink", 
		{
			take("Knife") -- берём нож
		}),
		on_scene("level05_scene05_01", 
		{
			click("Cord01", "Knife") -- отрезаем кусок шнура от пылесоса
		}),
		on_scene("level05_scene05_02", 
		{
			click("cord02", "cord01"), -- применяем кусок шнура на шнур плиты
			-- IF({ NOT(hidden("Cord03")), state("Cord03", "cord03_01"), NOT(in_inv("Insulation_tape")) }, miniscene("wardrobe01") ),
		}),
		on_scene("level05_miniscene_wardrobe", 
		{
		    -- открываем крючки на шкафу
			IF(state("Hook01_mini", "hook01_mini01"), click("Hook01_mini")),
			IF(NOT(state("Hook02_mini", "hook02_mini03")), click("Hook02_mini")),
			IF(state("Hook03_mini", "hook03_mini01"), click("Hook03_mini")),
			IF(state("Hook04_mini", "hook04_mini01"), click("Hook04_mini")),
			IF(state("Hook05_mini", "hook05_mini01"), click("Hook05_mini")),
			take("Insulation_tape") -- взяли изоленту
		}),
		on_scene("level05_scene05_02", 
		{						
			IF(state("Cord03", "cord03_01"), click("Cord03", "Insulation_tape")), -- заматываем шнур изолентой
			IF({ state("Cord03", "cord03_02"), NOT(in_cursor("cord04")) }, click("Cord03")),
			IF(state("Flag_cord02", "flag_cord02_02"), click("socket01", "cord04"))
		}),
		on_scene("level05_miniscene_wardrobe", 
		{
			take("Lever01"), -- взяли вентиль
		}),
		on_scene("level05_miniscene_sink", 
		{			
			click("lever02_base", "Lever01"), -- вставляем рычаг
			IF(in_inv("Pot01"), click("sink01_mini", "Pot01")), -- ставим кастрюлю
			IF(in_inv("Pot02"), click("sink01_mini", "Pot02")), -- ставим кастрюлю
			IF({ state("Lever02_mini", "lever02_mini01"), state("Pot02", "pot02_02")}, click("Lever02_mini")) -- открываем воду
		}),
		on_scene("level05_scene05_02", 
		{
			click("hot_plate01", "pot03"), -- ставим кастрюлю на плиту								
			IF(state("Pot04", "pot04_03"), click("Pot04", "Yellow_pills")), -- кидаем в кастрюлю теблетки
			IF(state("Pot04", "pot04_04"), click("Pot04", "Book01")) -- применяем книгу на кастрлю
		}),
		on_scene("level05_scene05_01", 
		{
			IF({ state("Book03", "book03_02"), state("Door01", "door01_02") }, click("Door01")), -- выходим на улицу
			IF({ state("Book03", "book03_02"), state("Door01", "door01_01") }, click("area_exit01"))
		})
	}
end 